import appShare, {closeShare} from "../share.js"

export default {
  data() {
    return {
      //设置默认的分享参数
      shareDataDef: {
        shareTitle: '88蓝健康产业网',
        shareUrl: '/pages/index/index',
        shareContent: '选择88蓝，招商不再难，代理保健品，就上88蓝！',
        shareImg: 'https://pic.88lan.com/app/share/app.jpg', 
        mediaUrl:'',
 
        appId:'gh_20a853590213',
        appPath:'/pages/index/index',
        appWebUrl:'https://lite.88lan.com',
        
        isWebView:false
      }
    }
  },
  methods:{
    // 打开底部分享功能栏
    onShareAppMessage() {
      let shareObj = appShare(this.shareData,res => {
      	console.log("分享成功回调",res);
      	// 分享成功后关闭弹窗
      	// 第一种关闭弹窗的方式
      	closeShare();
      });
      // setTimeout(() => {
      // 	// 第二种关闭弹窗的方式
      // 	shareObj.close();
      // },5000); 
    },
    // 直接微信小程序分享
    onShareWXxcx(){
      let shareObj = {
      	provider: 'weixin',
        scene: "WXSceneSession",
      	type: 5,
        imageUrl:this.shareData.shareImg,
        title : this.shareData.shareTitle,
        miniProgram : {
          id:'gh_20a853590213',
          path:this.shareData.appPath,
          webUrl:this.shareData.appWebUrl,
          type:0, //0-正式版； 1-测试版； 2-体验版
        },
      	success: (res) => {
          uni.showToast({
            icon: 'none',
            title: '分享成功！'
          })
      	},
      	fail: (err) => {
      		console.log("分享失败，参数缺失 fail:" + JSON.stringify(err));
      	}
      };
      console.log(shareObj)
      uni.share(shareObj);
    }
  },
  onBackPress(options) {
    if (options.from === 'backbutton') {
      closeShare();
    }
  }
  
}
